## planner 0.1.5-2

=== Makefile ===
#############################################################################
# Makefile for building: planner
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Mar 14 10:43:10 2010
# Project:  planner.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile planner.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/alvaro/planner-0.1.5/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/alvaro/planner-0.1.5/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: planner.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile planner.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile planner.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: planner
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Mar 14 11:22:10 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtXml -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtLocation -lm -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ytv.cpp \
		ytvprivate.cpp \
		main.cpp \
		ytvparser.cpp \
		location.cpp \
		route.cpp \
		transport.cpp \
		stop.cpp \
		mainwindow.cpp \
		fancydelegate.cpp \
		displayinfowidget.cpp \
		qlineselectedit.cpp \
		listfilterwidget.cpp \
		routewindow.cpp \
		gps.cpp \
		coordinates.cpp moc_ytv.cpp \
		moc_ytvprivate.cpp \
		moc_mainwindow.cpp \
		moc_fancydelegate.cpp \
		moc_displayinfowidget.cpp \
		moc_qlineselectedit.cpp \
		moc_listfilterwidget.cpp \
		moc_routewindow.cpp \
		moc_gps.cpp \
		qrc_icons.cpp
OBJECTS       = ytv.o \
		ytvprivate.o \
		main.o \
		ytvparser.o \
		location.o \
		route.o \
		transport.o \
		stop.o \
		mainwindow.o \
		fancydelegate.o \
		displayinfowidget.o \
		qlineselectedit.o \
		listfilterwidget.o \
		routewindow.o \
		gps.o \
		coordinates.o \
		moc_ytv.o \
		moc_ytvprivate.o \
		moc_mainwindow.o \
		moc_fancydelegate.o \
		moc_displayinfowidget.o \
		moc_qlineselectedit.o \
		moc_listfilterwidget.o \
		moc_routewindow.o \
		moc_gps.o \
		qrc_icons.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = planner
DESTDIR       = 
TARGET        = planner

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/planner1.0.0 || $(MKDIR) .tmp/planner1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/planner1.0.0/ && $(COPY_FILE) --parents ytv.h ytvprivate.h ytvparser.h location.h route.h transport.h stop.h coordinates.h mainwindow.h fancydelegate.h displayinfowidget.h qlineselectedit.h listfilterwidget.h routewindow.h gps.h .tmp/planner1.0.0/ && $(COPY_FILE) --parents icons.qrc .tmp/planner1.0.0/ && $(COPY_FILE) --parents ytv.cpp ytvprivate.cpp main.cpp ytvparser.cpp location.cpp route.cpp transport.cpp stop.cpp mainwindow.cpp fancydelegate.cpp displayinfowidget.cpp qlineselectedit.cpp listfilterwidget.cpp routewindow.cpp gps.cpp coordinates.cpp .tmp/planner1.0.0/ && (cd `dirname .tmp/planner1.0.0` && $(TAR) planner1.0.0.tar planner1.0.0 && $(COMPRESS) planner1.0.0.tar) && $(MOVE) `dirname .tmp/planner1.0.0`/planner1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/planner1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_ytv.cpp moc_ytvprivate.cpp moc_mainwindow.cpp moc_fancydelegate.cpp moc_displayinfowidget.cpp moc_qlineselectedit.cpp moc_listfilterwidget.cpp moc_routewindow.cpp moc_gps.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_ytv.cpp moc_ytvprivate.cpp moc_mainwindow.cpp moc_fancydelegate.cpp moc_displayinfowidget.cpp moc_qlineselectedit.cpp moc_listfilterwidget.cpp moc_routewindow.cpp moc_gps.cpp
moc_ytv.cpp: location.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		ytv.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ytv.h -o moc_ytv.cpp

moc_ytvprivate.cpp: ytvparser.h \
		location.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		ytvprivate.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ytvprivate.h -o moc_ytvprivate.cpp

moc_mainwindow.cpp: routewindow.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		location.h \
		mainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_fancydelegate.cpp: fancydelegate.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) fancydelegate.h -o moc_fancydelegate.cpp

moc_displayinfowidget.cpp: route.h \
		transport.h \
		stop.h \
		coordinates.h \
		location.h \
		displayinfowidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) displayinfowidget.h -o moc_displayinfowidget.cpp

moc_qlineselectedit.cpp: qlineselectedit.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qlineselectedit.h -o moc_qlineselectedit.cpp

moc_listfilterwidget.cpp: listfilterwidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) listfilterwidget.h -o moc_listfilterwidget.cpp

moc_routewindow.cpp: route.h \
		transport.h \
		stop.h \
		coordinates.h \
		location.h \
		routewindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) routewindow.h -o moc_routewindow.cpp

moc_gps.cpp: location.h \
		gps.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) gps.h -o moc_gps.cpp

compiler_rcc_make_all: qrc_icons.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_icons.cpp
qrc_icons.cpp: icons.qrc \
		icons/train.png \
		icons/bus.png \
		icons/metro.png \
		icons/tram.png \
		icons/addfav.png \
		icons/ferry.png \
		icons/fav.png \
		icons/nignt.png \
		icons/walk.png
	/opt/qt4-maemo5/bin/rcc -name icons icons.qrc -o qrc_icons.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:

=== tests/coordinates/Makefile ===
#############################################################################
# Makefile for building: ut_coordinatestest
# Generated by qmake (2.01a) (Qt 4.5.2) on: jue mar 11 21:53:43 2010
# Project:  coordinates.pro
# Template: app
# Command: /usr/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile coordinates.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DSRCDIR=\"/scratchbox/users/alvaro/home/alvaro/planner-0.1.5/tests/coordinates/\" -DQT_TESTLIB_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtTest -I/usr/include/qt4 -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ut_coordinatestest.cpp \
		../../src/coordinates.cpp 
OBJECTS       = ut_coordinatestest.o \
		coordinates.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		coordinates.pro
QMAKE_TARGET  = ut_coordinatestest
DESTDIR       = 
TARGET        = ut_coordinatestest

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: coordinates.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile coordinates.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile coordinates.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/ut_coordinatestest1.0.0 || $(MKDIR) .tmp/ut_coordinatestest1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/ut_coordinatestest1.0.0/ && $(COPY_FILE) --parents ut_coordinatestest.cpp ../../src/coordinates.cpp .tmp/ut_coordinatestest1.0.0/ && (cd `dirname .tmp/ut_coordinatestest1.0.0` && $(TAR) ut_coordinatestest1.0.0.tar ut_coordinatestest1.0.0 && $(COMPRESS) ut_coordinatestest1.0.0.tar) && $(MOVE) `dirname .tmp/ut_coordinatestest1.0.0`/ut_coordinatestest1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/ut_coordinatestest1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: ut_coordinatestest.moc
compiler_moc_source_clean:
	-$(DEL_FILE) ut_coordinatestest.moc
ut_coordinatestest.moc: ../../src/coordinates.h \
		../../src/location.h \
		ut_coordinatestest.cpp
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ut_coordinatestest.cpp -o ut_coordinatestest.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_source_clean 

####### Compile

ut_coordinatestest.o: ut_coordinatestest.cpp ../../src/coordinates.h \
		../../src/location.h \
		ut_coordinatestest.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ut_coordinatestest.o ut_coordinatestest.cpp

coordinates.o: ../../src/coordinates.cpp ../../src/coordinates.h \
		../../src/location.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o coordinates.o ../../src/coordinates.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
planner (0.1.5-2) unstable; urgency=low

  * Small fixes plus packaging

 -- Alvaro Manera <alblurrow@yute.com>  Sun, 14 Mar 2010 12:00:23 +0200

planner (0.1.5-1) unstable; urgency=low

  * Some bug fixes. New features, favorites, icons.

 -- Alvaro Manera <alblurrow@yute.com>  Sat, 13 Mar 2010 20:00:23 +0200

planner (0.1.1-1) unstable; urgency=low

  * A few bug fixes

 -- Alvaro Manera <alblurrow@yute.com>  Tue, 09 Mar 2010 20:00:23 +0200

planner (0.1-1) unstable; urgency=low

  * Initial release

 -- Alvaro Manera <alblurrow@yute.com>  Mon, 15 Feb 2010 20:00:23 +0200

=== debian/control ===
Source: planner
Section: user/navigation
Priority: extra
Maintainer: Alvaro Manera <alblurrow@yute.com>
Build-Depends: debhelper (>= 5), libqtm-dev
Standards-Version: 3.7.2

Package: planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Helsinki Journey Planner
 Plan your public transportation trips in Helsinki with this nice tool.
XB-Maemo-Display-Name: Como LLego
XSBC-Bugtracker: mailto:alblurrow@yute.com
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI                      
  fAhkiAAAAAlwSFlzAAAPYwAAD2MB18Fk4AAAABl0RVh0U29mdHdhcmUAd3d3                      
  Lmlua3NjYXBlLm9yZ5vuPBoAAAb3SURBVGiB3ZptaBzHGcd/u7e3p7uT9X4n                      
  Rc75ZAvimtiUKsSqjQpCwdRWMHGCCYlo8yUVgTg4dcAuKIV8SAnYDlYJ1IGo                      
  H2Lc1JA3hwhUFRFhohC3EKSmimwTUVWyFElYp+hkvdztaW+nH0Z30b1Jp9jW                      
  Wf1/WXZnZvf/35ln5pnnGUUIwZ1CURQncACUenDsAJsPrAqIlMoa+jSokxAd                      
  BWMIxBWgSwgRuuNv/1gBiqIUA4fB+SxEGqDMBrUqVCjgAcqQV4ApILB8nRTw                      
  TwumLbB/BqFLQLsQYmZDBCiKkg/qSVB/Bz4TGlxQp0DVOj89DHwhoHsRRjWw                      
  ToN1Vggxvy4+2QpQFEUDmkF/A6p0OO6Ch9dJOhMGgLcWYTgCkRagTQhhZsUr                      
  GwGKovjA0QlF2+GYE35xh4QzoQf4UwiC/wXjoBBidE1uawlQFOXnYO+AA244                      
  oYN2t9hmgAm0RqBrAZYahRD/WJXfagIURfk1aG3woh2eVO821dVx2YLzS2A2                      
  CyEuZqqVUYAkn9cGbzjgZ/eM5uroA1oMCGcUkVaAHDbaFTiTQ/Ix9AGnDDDr                      
  0w2nlGEhDdbeIYdNrsmD5PCiHewdklsiEgTIqdLRKQ12o8f8anhSlZwcncvT                      
  eRzJJJvlVHlC30B2WeKELrnRvPJp3AbkCquPwu+L7t08f6foAf4QhIgvtmKv                      
  6AH1pFxh71fyILlV6ZKrhCKEWHbMtAn4o+PuuQf3CgPAbw0wHxBCzMR64LB0                      
  zO538iA5+kzgMMSHkPNZ6VVuFjS4JGdQACfYgvBnPdklfuyxYh59dAuKAoqi                      
  LF9Z130MsfUyNmn8cL96eW/vPJ9+GkgSMAz8JgLRIg04AMWmNI5EXLjwE7Zu                      
  dfyIP3R3ce7cKCdPDmFZMa+hCsk5cECT28D9eekaer06t25FuHr1NtXVTnbv                      
  djM2ZvDtt4ssLlqEwxZut42iIg2fz0Flpc5XX80xNxdlbi5KNCpwu224XCr7
  9hUyPm4wMhLm9u0o4bCF06nictnYs8eNw6HS0TENyB7My1NxOm088kg+r7zi
  o79/gXffnVzBbn8etNdrcg9bkbLqFhZq2O0KH344xbFjgzQ1lfPee7s4d26U
  1taxFLGHDpXw9tsPUVvbm/YvXr++l1On/kN7+3RK2ZtvVlNd7eSZZ66llO3c
  6eLGjb0UFSW78RUqOHZocgPuSWlYUiIbmKbstnDYAuDmTSMtwYmJCBMTkbRl
  AMGgydhY+rbffWeg6+k9l9nZTBszD2DzqTJ6UJZSXFCQKMAwpAC/P+1oo7LS
  QXFx5s1OZaXOtm3p2/r9eVRXpy/LjDLAqtBk6CO1B8rLpU1Ho/I+1gMtLds4
  etTDwkI0wQYqK3XKyuxcu7aX2VmTYNDEsmI2YOPBBx28885DvPZaFTMzS4RC
  FgUFGkVFGtu356FpCp98sjv+fbfbRkmJhseTyS3zAJHSjL/szJkdAKjLPWuz
  yTmxtNTOvn32jP9l167My4nXq+P1ZvYTn3gidSSsBVUGnaZSCmJGk59vA2DL
  Ftu6X35vMQXo05qMmAUqk4stOWJwuxMFRCIWH30UYGzMoKYmn4aG4oQFaz3o
  7Z2jq2uGxsZS9uxxr7N1AFAnVRnuS+2B8XE5Y8R6oKBAIxBY4siRbygvt3P0
  qIfBwRAvvzzIeoN7hmHx9NMDDA+Hef75B5iYMHjuuetxO8sOU0B0VJWxysmU
  lkNDYQDq6grp6vopx49v5cKFSV591c/oqEFT0zVqavLxeHRu3gyvS8AHH0yx
  f38hXq/OU099g8tl48iRMt5//1a8jmkKrl69zeuvj1Bf/y/Onx9PesukBcaQ
  JgOtX74AJxKsr7t7Br/fgdNpo6zMzvx8lL6+eerqChkZCXPjxiKhkNTd0zNL
  MJhVIA2Ar7+ep7a2gIWFKP39CxiGRXGxnc7O7wkElujuDvL550Hm5qKrvOXL
  MIgrqzpz6VBTs4WPP34Yvz+Pnp5ZHn/832t8KD127nRx8eIuvF47IyNhXnpp
  kP7+hSxbDxNz5pY3NK6/QdMv4VdZm6PDocYXt43HXwT89e9CLB5anuVDl2SU
  OHvkjjxIrqFL8MOeuF2GuAdySCpbDCC50g7LAmRywTotQ9z3O95aBOt0LCGy
  wgW0zsr4fE+umGWBHiRH62zsSVyAjLNEWmR8PvspceNgIrlFWlZmcZKd8DaZ
  XGjN7NjnDK0RyY22lU8TBMi0jnFQJhcu53KaScJlS3IyDiannlK2QTKts9Qo
  kwt9G8cxI/qQXJYa06Wc0u7jZBzebJbJhVyKiCU4zOZMqab/3xRTvMJmTvLF
  K23mNGu84mZOdCc02KxHDVIaphz2KDZluK9CXeOwhyU3IzMa6N0bftgjg5ic
  Hbf5H6RXEElU7iF4AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := planner
builddir:
	  mkdir -p builddir

builddir/Makefile: builddir
	  cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	  dh_testdir
	  # Add here commands to compile the package.
	  cd builddir && $(MAKE)
	  touch $@

clean:
	  dh_testdir
	  dh_testroot
	  rm -f build-stamp
	  # Add here commands to clean up after the build process.
	  rm -rf builddir
	  dh_clean
install: build
	  dh_testdir
	  dh_testroot
	  dh_clean -k
	  dh_installdirs

	  # Add here commands to install the package into debian/your_appname
	  cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	  dh_testdir
	  dh_testroot
	  dh_installdocs
	  dh_installexamples
	  dh_installman
	  dh_link
	  dh_strip --dbg-package=planner-dbg
	  dh_compress
	  dh_fixperms
	  dh_installdeb
	  dh_shlibdeps
	  dh_gencontrol
	  dh_md5sums
	  dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## planner 0.1.6-1

=== Makefile ===
#############################################################################
# Makefile for building: planner
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Mar 26 22:21:42 2010
# Project:  planner.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile planner.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/alvaro/planner-0.1.6/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/alvaro/planner-0.1.6/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: planner.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile planner.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile planner.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: planner
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Mar 25 20:38:23 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -g  -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -g  -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lm -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ytv.cpp \
		ytvprivate.cpp \
		main.cpp \
		ytvparser.cpp \
		location.cpp \
		route.cpp \
		transport.cpp \
		stop.cpp \
		mainwindow.cpp \
		fancydelegate.cpp \
		displayinfowidget.cpp \
		qlineselectedit.cpp \
		listfilterwidget.cpp \
		routewindow.cpp \
		gps.cpp \
		coordinates.cpp moc_ytv.cpp \
		moc_ytvprivate.cpp \
		moc_mainwindow.cpp \
		moc_fancydelegate.cpp \
		moc_displayinfowidget.cpp \
		moc_qlineselectedit.cpp \
		moc_listfilterwidget.cpp \
		moc_routewindow.cpp \
		moc_gps.cpp \
		qrc_icons.cpp
OBJECTS       = ytv.o \
		ytvprivate.o \
		main.o \
		ytvparser.o \
		location.o \
		route.o \
		transport.o \
		stop.o \
		mainwindow.o \
		fancydelegate.o \
		displayinfowidget.o \
		qlineselectedit.o \
		listfilterwidget.o \
		routewindow.o \
		gps.o \
		coordinates.o \
		moc_ytv.o \
		moc_ytvprivate.o \
		moc_mainwindow.o \
		moc_fancydelegate.o \
		moc_displayinfowidget.o \
		moc_qlineselectedit.o \
		moc_listfilterwidget.o \
		moc_routewindow.o \
		moc_gps.o \
		qrc_icons.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = planner
DESTDIR       = 
TARGET        = planner

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/planner1.0.0 || $(MKDIR) .tmp/planner1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/planner1.0.0/ && $(COPY_FILE) --parents ytv.h ytvprivate.h ytvparser.h location.h route.h transport.h stop.h coordinates.h mainwindow.h fancydelegate.h displayinfowidget.h qlineselectedit.h listfilterwidget.h routewindow.h gps.h .tmp/planner1.0.0/ && $(COPY_FILE) --parents icons.qrc .tmp/planner1.0.0/ && $(COPY_FILE) --parents ytv.cpp ytvprivate.cpp main.cpp ytvparser.cpp location.cpp route.cpp transport.cpp stop.cpp mainwindow.cpp fancydelegate.cpp displayinfowidget.cpp qlineselectedit.cpp listfilterwidget.cpp routewindow.cpp gps.cpp coordinates.cpp .tmp/planner1.0.0/ && (cd `dirname .tmp/planner1.0.0` && $(TAR) planner1.0.0.tar planner1.0.0 && $(COMPRESS) planner1.0.0.tar) && $(MOVE) `dirname .tmp/planner1.0.0`/planner1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/planner1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_ytv.cpp moc_ytvprivate.cpp moc_mainwindow.cpp moc_fancydelegate.cpp moc_displayinfowidget.cpp moc_qlineselectedit.cpp moc_listfilterwidget.cpp moc_routewindow.cpp moc_gps.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_ytv.cpp moc_ytvprivate.cpp moc_mainwindow.cpp moc_fancydelegate.cpp moc_displayinfowidget.cpp moc_qlineselectedit.cpp moc_listfilterwidget.cpp moc_routewindow.cpp moc_gps.cpp
moc_ytv.cpp: location.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		ytv.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ytv.h -o moc_ytv.cpp

moc_ytvprivate.cpp: ytvparser.h \
		location.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		ytvprivate.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ytvprivate.h -o moc_ytvprivate.cpp

moc_mainwindow.cpp: routewindow.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		location.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_fancydelegate.cpp: fancydelegate.h
	/usr/bin/moc $(DEFINES) $(INCPATH) fancydelegate.h -o moc_fancydelegate.cpp

moc_displayinfowidget.cpp: route.h \
		transport.h \
		stop.h \
		coordinates.h \
		location.h \
		displayinfowidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) displayinfowidget.h -o moc_displayinfowidget.cpp

moc_qlineselectedit.cpp: qlineselectedit.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qlineselectedit.h -o moc_qlineselectedit.cpp

moc_listfilterwidget.cpp: listfilterwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) listfilterwidget.h -o moc_listfilterwidget.cpp

moc_routewindow.cpp: route.h \
		transport.h \
		stop.h \
		coordinates.h \
		location.h \
		routewindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) routewindow.h -o moc_routewindow.cpp

moc_gps.cpp: coordinates.h \
		location.h \
		gps.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gps.h -o moc_gps.cpp

compiler_rcc_make_all: qrc_icons.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_icons.cpp
qrc_icons.cpp: icons.qrc \
		icons/train.png \
		icons/bus.png \
		icons/metro.png \
		icons/tram.png \
		icons/addfav.png \
		icons/ferry.png \
		icons/fav.png \
		icons/nignt.png \
		icons/walk.png
	/usr/bin/rcc -name icons icons.qrc -o qrc_icons.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

ytv.o: ytv.cpp ytv.h \
		location.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h \
		ytvprivate.h \
		ytvparser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ytv.o ytv.cpp

ytvprivate.o: ytvprivate.cpp ytvprivate.h \
		ytvparser.h \
		location.h \
		route.h \
		transport.h \
		stop.h \
		coordinates.h

=== debian/changelog ===
planner (0.1.6-1) unstable; urgency=low

  * New layout of first window, settings.

 -- Alvaro Manera <alblurrow@yute.com>  Fri, 26 Mar 2010 23:00:23 +0200

=== debian/control ===


=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,13 @@
 #!/usr/bin/make -f
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
 APPNAME := planner
 builddir:
 	  mkdir -p builddir
@@ -11,7 +20,7 @@
 build-stamp: builddir/Makefile
 	  dh_testdir
 	  # Add here commands to compile the package.
-	  cd builddir && $(MAKE)
+	  cd builddir && $(MAKE) CXXFLAGS='$(CFLAGS)'
 	  touch $@
 
 clean:
